Public Class frmBackwards

  Private Sub btnReverse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnReverse.Click
    txtBackwards.Text = Reverse(txtWord.Text)
  End Sub

  Function Reverse(ByVal info As String) As String
    Dim m As Integer, temp As String = ""
    m = info.Length
    For j As Integer = m - 1 To 0 Step -1
      temp &= info.Substring(j, 1)
    Next
    Return temp
  End Function

End Class
